# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python3_sitearch}/.*\\.so
# FIXME: underlinking issue
%define _disable_ld_no_undefined 1

%define sname  PyQt5

# disable QtWebkit support (mga#29326)
%bcond_with qt5webkit

Name:          python-qt5
Version:       5.15.10
Release:       %mkrel 2
Summary:       Set of Python bindings for The Qt Company's Qt application framework
License:       GPLv2+
Group:         Development/KDE and Qt
URL:           http://www.riverbankcomputing.co.uk/software/pyqt/intro
#https://www.riverbankcomputing.com/static/Downloads/PyQt5/%%{version}/%%{sname}-%%{version}.tar.gz
Source0:       https://pypi.io/packages/source/p/pyqt5/%{sname}-%{version}.tar.gz

BuildRequires: python3-sip6 >= 6.6.2
BuildRequires: python3-pyqt-builder

BuildRequires: pkgconfig(Qt5Bluetooth)
BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5DBus)
BuildRequires: pkgconfig(Qt5Designer)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5Help)
BuildRequires: pkgconfig(Qt5Location)
BuildRequires: pkgconfig(Qt5Multimedia)
BuildRequires: pkgconfig(Qt5MultimediaWidgets)
BuildRequires: pkgconfig(Qt5Network)
BuildRequires: pkgconfig(Qt5NetworkAuth)
BuildRequires: pkgconfig(Qt5Nfc)
BuildRequires: pkgconfig(Qt5OpenGL)
BuildRequires: pkgconfig(Qt5Positioning)
BuildRequires: pkgconfig(Qt5PrintSupport)
BuildRequires: pkgconfig(Qt5Qml)
BuildRequires: pkgconfig(Qt5Quick)
BuildRequires: pkgconfig(Qt5Quick3D)
BuildRequires: pkgconfig(Qt5QuickWidgets)
BuildRequires: pkgconfig(Qt5RemoteObjects)
BuildRequires: pkgconfig(Qt5Sensors)
BuildRequires: pkgconfig(Qt5SerialPort)
BuildRequires: pkgconfig(Qt5Sql)
BuildRequires: pkgconfig(Qt5Svg)
BuildRequires: pkgconfig(Qt5Test)
BuildRequires: pkgconfig(Qt5TextToSpeech)
BuildRequires: pkgconfig(Qt5WebChannel)
%if %{with qt5webkit}
BuildRequires: pkgconfig(Qt5WebKit)
BuildRequires: pkgconfig(Qt5WebKitWidgets)
%endif
BuildRequires: pkgconfig(Qt5WebSockets)
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5Xml)
BuildRequires: pkgconfig(Qt5XmlPatterns)
BuildRequires: pkgconfig(Qt5X11Extras)
BuildRequires: pkgconfig(dbus-python)

%description
PyQt is a set of Python bindings for The Qt Company's Qt application
framework.

#------------------------------------------------------------

%define py3_name python3-qt5

%package -n    python3-qt5
Summary:       Set of Python 3 bindings for The Qt Company's Qt application framework
Group:         Development/KDE and Qt

BuildRequires: pkgconfig(python3)
BuildRequires: python3-pyqt5-sip >= 1:12.11.0
BuildRequires: python3-dbus

Provides:      python3-PyQt5 = %{version}-%{release}

Requires:      %{py3_name}-core = %{version}
Requires:      %{py3_name}-dbus = %{version}
Requires:      %{py3_name}-bluetooth = %{version}
Requires:      %{py3_name}-designer = %{version}
Requires:      %{py3_name}-gui = %{version}
Requires:      %{py3_name}-location = %{version}
Requires:      %{py3_name}-multimedia = %{version}
Requires:      %{py3_name}-multimediawidgets = %{version}
Requires:      %{py3_name}-nfc = %{version}
Requires:      %{py3_name}-network = %{version}
%if 0
Requires:      %{py3_name}-networkauth = %{version}
%endif
Requires:      %{py3_name}-opengl = %{version}
Requires:      %{py3_name}-positioning = %{version}
Requires:      %{py3_name}-printsupport = %{version}
Requires:      %{py3_name}-qml = %{version}
Requires:      %{py3_name}-quick = %{version}
Requires:      %{py3_name}-quick3d = %{version}
Requires:      %{py3_name}-quickwidgets = %{version}
Requires:      %{py3_name}-remoteobjects = %{version}
Requires:      %{py3_name}-sensors = %{version}
Requires:      %{py3_name}-serialport = %{version}
Requires:      %{py3_name}-sql = %{version}
Requires:      %{py3_name}-svg = %{version}
Requires:      %{py3_name}-test = %{version}
Requires:      %{py3_name}-texttospeech = %{version}
Requires:      %{py3_name}-webchannel = %{version}
%if %{with qt5webkit}
Requires:      %{py3_name}-webkit = %{version}
Requires:      %{py3_name}-webkitwidgets = %{version}
%endif
Requires:      %{py3_name}-websockets = %{version}
Requires:      %{py3_name}-widgets = %{version}
Requires:      %{py3_name}-xml = %{version}
Requires:      %{py3_name}-xmlpatterns = %{version}
Requires:      %{py3_name}-x11extras = %{version}

%if %{without qt5webkit}
Obsoletes:     python3-qt5-webkit < %{version}-%{release}
Obsoletes:     python3-qt5-webkitwidgets < %{version}-%{release}
%endif

%description -n python3-qt5
PyQt is a set of Python 3 bindings for The Qt Company's Qt application
framework.

%files -n python3-qt5
%doc ChangeLog
%license LICENSE

#------------------------------------------------------------

%package -n    %{py3_name}-core
Summary:       Python 3 bindings for PyQt 5 core
Group:         Development/KDE and Qt
Requires:      python3-dbus

%description -n %{py3_name}-core
Python 3 bindings for PyQt 5 core.

%files -n %{py3_name}-core
%dir %{python3_sitearch}/PyQt5
%{python3_sitearch}/PyQt5/uic/
%{python3_sitearch}/PyQt5-%{version}.dist-info
%{python3_sitearch}/PyQt5/__pycache__/
%{python3_sitearch}/PyQt5/__init__.py*
%{python3_sitearch}/dbus/mainloop/pyqt5.abi3.so
%{python3_sitearch}/PyQt5/Qt.abi3.so
%{python3_sitearch}/PyQt5/QtCore.abi3.so
%{python3_sitearch}/PyQt5/bindings/QtCore

#------------------------------------------------------------

%package -n    %{py3_name}-dbus
Summary:       Python 3 bindings for PyQt 5 dbus
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-dbus
Python 3 bindings for PyQt 5 dbus.

%files -n %{py3_name}-dbus
%{python3_sitearch}/PyQt5/QtDBus.abi3.so
%{python3_sitearch}/PyQt5/bindings/QtDBus

#------------------------------------------------------------

%package -n    %{py3_name}-bluetooth
Summary:       Python 3 bindings for PyQt 5 bluetooth
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-bluetooth
Python 3 bindings for PyQt 5 bluetooth.

%files -n %{py3_name}-bluetooth
%{python3_sitearch}/PyQt5/QtBluetooth.abi3.so
%{python3_sitearch}/PyQt5/bindings/QtBluetooth

#------------------------------------------------------------

%package -n    %{py3_name}-gui
Summary:       Python 3 bindings for PyQt 5 gui
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-gui
Python 3 bindings for PyQt 5 gui.

%files -n %{py3_name}-gui
%{python3_sitearch}/PyQt5/QtGui.abi3.so
%{python3_sitearch}/PyQt5/_QOpenGLFunctions_*.so
%{python3_sitearch}/PyQt5/bindings/QtGui

#------------------------------------------------------------

%package -n    %{py3_name}-network
Summary:       Python 3 bindings for PyQt 5 network
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-network
Python 3 bindings for PyQt 5 network.

%files -n %{py3_name}-network
%{python3_sitearch}/PyQt5/QtNetwork.abi3.so
%{python3_sitearch}/PyQt5/bindings/QtNetwork

#------------------------------------------------------------

%package -n    %{py3_name}-networkauth
Summary:       Python 3 bindings for PyQt 5 network authentication
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-networkauth
Python 3 bindings for PyQt 5 network authentication.

%if 0
%files -n %{py3_name}-networkauth
%{python3_sitearch}/PyQt5/QtNetworkAuth.abi3.so
%{python3_sitearch}/PyQt5/bindings/QtNetworkAuth
%endif

#------------------------------------------------------------

%package -n    %{py3_name}-help
Summary:       Python 3 bindings for PyQt 5 help
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-help
Python 3 bindings for PyQt 5 help.

%files -n %{py3_name}-help
%{python3_sitearch}/PyQt5/QtHelp.abi3.so
%{python3_sitearch}/PyQt5/bindings/QtHelp

#------------------------------------------------------------

%package -n    %{py3_name}-location
Summary:       Python 3 bindings for PyQt 5 location
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-location
Python 3 bindings for PyQt 5 location.

%files -n %{py3_name}-location
%{python3_sitearch}/PyQt5/QtLocation.abi3.so
%{python3_sitearch}/PyQt5/bindings/QtLocation

#------------------------------------------------------------

%package -n    %{py3_name}-nfc
Summary:       Python 3 bindings for PyQt 5 nfc
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-nfc
Python 3 bindings for PyQt 5 nfc.

%files -n %{py3_name}-nfc
%{python3_sitearch}/PyQt5/QtNfc.abi3.so
%{python3_sitearch}/PyQt5/bindings/QtNfc

#------------------------------------------------------------

%package -n    %{py3_name}-opengl
Summary:       Python 3 bindings for PyQt 5 opengl
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-opengl
Python 3 bindings for PyQt 5 opengl.

%files -n %{py3_name}-opengl
%{python3_sitearch}/PyQt5/QtOpenGL.abi3.so
%{python3_sitearch}/PyQt5/bindings/QtOpenGL

#------------------------------------------------------------

%package -n    %{py3_name}-positioning
Summary:       Python 3 bindings for PyQt 5 positioning
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-positioning
Python 3 bindings for PyQt 5 positioning.

%files -n %{py3_name}-positioning
%{python3_sitearch}/PyQt5/QtPositioning.abi3.so
%{python3_sitearch}/PyQt5/bindings/QtPositioning

#------------------------------------------------------------

%package -n    %{py3_name}-printsupport
Summary:       Python 3 bindings for PyQt 5 printsupport
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-printsupport
Python 3 bindings for PyQt 5 printsupport.

%files -n %{py3_name}-printsupport
%{python3_sitearch}/PyQt5/QtPrintSupport.abi3.so
%{python3_sitearch}/PyQt5/bindings/QtPrintSupport

#------------------------------------------------------------

%package -n    %{py3_name}-qml
Summary:       Python 3 bindings for PyQt 5 qml
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-qml
Python 3 bindings for PyQt 5 qml.

%files -n %{py3_name}-qml
%{python3_sitearch}/PyQt5/QtQml.abi3.so
%{_qt5_plugindir}/PyQt5/libpyqt5qmlplugin.so
%{python3_sitearch}/PyQt5/bindings/QtQml

#------------------------------------------------------------

%package -n    %{py3_name}-quick
Summary:       Python 3 bindings for PyQt 5 quick
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-quick
Python 3 bindings for PyQt 5 quick.

%files -n %{py3_name}-quick
%{python3_sitearch}/PyQt5/QtQuick.abi3.so
%{python3_sitearch}/PyQt5/bindings/QtQuick

#------------------------------------------------------------

%package -n    %{py3_name}-quick3d
Summary:       Python 3 bindings for PyQt 5 quick3d
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-quick3d
Python 3 bindings for PyQt 5 quick3d.

%files -n %{py3_name}-quick3d
%{python3_sitearch}/PyQt5/QtQuick3D.abi3.so
%{python3_sitearch}/PyQt5/bindings/QtQuick3D

#------------------------------------------------------------

%package -n    %{py3_name}-quickwidgets
Summary:       Python 3 bindings for PyQt 5 quickwidgets
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-quickwidgets
Python 3 bindings for PyQt 5 quick.

%files -n %{py3_name}-quickwidgets
%{python3_sitearch}/PyQt5/QtQuickWidgets.abi3.so
%{python3_sitearch}/PyQt5/bindings/QtQuickWidgets

#------------------------------------------------------------

%package -n    %{py3_name}-multimedia
Summary:       Python 3 bindings for PyQt 5 multimedia
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-multimedia
Python 3 bindings for PyQt 5 multimedia.

%files -n %{py3_name}-multimedia
%{python3_sitearch}/PyQt5/QtMultimedia.abi3.so
%{python3_sitearch}/PyQt5/bindings/QtMultimedia

#------------------------------------------------------------

%package -n    %{py3_name}-multimediawidgets
Summary:       Python 3 bindings for PyQt 5 multimediawidgets
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-multimediawidgets
Python 3 bindings for PyQt 5 multimediawidgets.

%files -n %{py3_name}-multimediawidgets
%{python3_sitearch}/PyQt5/QtMultimediaWidgets.abi3.so
%{python3_sitearch}/PyQt5/bindings/QtMultimediaWidgets

#------------------------------------------------------------

%package -n    %{py3_name}-qaxcontainer
Summary:       Python 3 bindings for PyQt 5 qaxcontainer
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-qaxcontainer
Python 3 bindings for PyQt 5 qaxcontainer.

%files -n %{py3_name}-qaxcontainer

#------------------------------------------------------------

%package -n    %{py3_name}-remoteobjects
Summary:       Python 3 bindings for PyQt 5 remoteobjects
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-remoteobjects
Python 3 bindings for PyQt 5 remoteobjects.

%files -n %{py3_name}-remoteobjects
%{python3_sitearch}/PyQt5/QtRemoteObjects.abi3.so
%{python3_sitearch}/PyQt5/bindings/QtRemoteObjects

#------------------------------------------------------------

%package -n    %{py3_name}-sensors
Summary:       Python 3 bindings for PyQt 5 sensors
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-sensors
Python 3 bindings for PyQt 5 sensors.

%files -n %{py3_name}-sensors
%{python3_sitearch}/PyQt5/QtSensors.abi3.so
%{python3_sitearch}/PyQt5/bindings/QtSensors

#------------------------------------------------------------

%package -n    %{py3_name}-serialport
Summary:       Python 3 bindings for PyQt 5 serialport
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-serialport
Python 3 bindings for PyQt 5 serialport.

%files -n %{py3_name}-serialport
%{python3_sitearch}/PyQt5/QtSerialPort.abi3.so
%{python3_sitearch}/PyQt5/bindings/QtSerialPort

#------------------------------------------------------------

%package -n    %{py3_name}-sql
Summary:       Python 3 bindings for PyQt 5 sql
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-sql
Python 3 bindings for PyQt 5 sql.

%files -n %{py3_name}-sql
%{python3_sitearch}/PyQt5/QtSql.abi3.so
%{python3_sitearch}/PyQt5/bindings/QtSql

#------------------------------------------------------------

%package -n    %{py3_name}-svg
Summary:       Python 3 bindings for PyQt 5 svg
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-svg
Python 3 bindings for PyQt 5 svg.

%files -n %{py3_name}-svg
%{python3_sitearch}/PyQt5/QtSvg.abi3.so
%{python3_sitearch}/PyQt5/bindings/QtSvg

#------------------------------------------------------------

%package -n    %{py3_name}-test
Summary:       Python 3 bindings for PyQt 5 test
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-test
Python 3 bindings for PyQt 5 test.

%files -n %{py3_name}-test
%{python3_sitearch}/PyQt5/QtTest.abi3.so
%{python3_sitearch}/PyQt5/bindings/QtTest

#------------------------------------------------------------

%package -n    %{py3_name}-texttospeech
Summary:       Python 3 bindings for PyQt 5 texttospeech
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-texttospeech
Python 3 bindings for PyQt 5 texttospeech.

%files -n %{py3_name}-texttospeech
%{python3_sitearch}/PyQt5/QtTextToSpeech.abi3.so
%{python3_sitearch}/PyQt5/bindings/QtTextToSpeech/

#------------------------------------------------------------

%package -n    %{py3_name}-webchannel
Summary:       Python 3 bindings for PyQt 5 webchannel
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-webchannel
Python 3 bindings for PyQt 5 webchannel.

%files -n %{py3_name}-webchannel
%{python3_sitearch}/PyQt5/QtWebChannel.abi3.so
%{python3_sitearch}/PyQt5/bindings/QtWebChannel

#------------------------------------------------------------
%if %{with qt5webkit}

%package -n    %{py3_name}-webkit
Summary:       Python 3 bindings for PyQt 5 webkit
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-webkit
Python 3 bindings for PyQt 5 webkit.

%files -n %{py3_name}-webkit
%{python3_sitearch}/PyQt5/QtWebKit.abi3.so
%{python3_sitearch}/PyQt5/bindings/QtWebKit

#------------------------------------------------------------

%package -n    %{py3_name}-webkitwidgets
Summary:       Python 3 bindings for PyQt 5 webkitwidgets
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-webkitwidgets
Python 3 bindings for PyQt 5 webkitwidgets.

%files -n %{py3_name}-webkitwidgets
%{python3_sitearch}/PyQt5/QtWebKitWidgets.abi3.so
%{python3_sitearch}/PyQt5/bindings/QtWebKitWidgets

%endif
#------------------------------------------------------------

%package -n    %{py3_name}-websockets
Summary:       Python 3 bindings for PyQt 5 websockets
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-websockets
Python 3 bindings for PyQt 5 websockets.

%files -n %{py3_name}-websockets
%{python3_sitearch}/PyQt5/QtWebSockets.abi3.so
%{python3_sitearch}/PyQt5/bindings/QtWebSockets

#------------------------------------------------------------

%package -n    %{py3_name}-widgets
Summary:       Python 3 bindings for PyQt 5 widgets
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-widgets
Python 3 bindings for PyQt 5 widgets.

%files -n %{py3_name}-widgets
%{python3_sitearch}/PyQt5/QtWidgets.abi3.so
%{python3_sitearch}/PyQt5/bindings/QtWidgets

#------------------------------------------------------------

%package -n    %{py3_name}-xml
Summary:       Python 3 bindings for PyQt 5 xml
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-xml
Python 3 bindings for PyQt 5 xml.

%files -n %{py3_name}-xml
%{python3_sitearch}/PyQt5/QtXml.abi3.so
%{python3_sitearch}/PyQt5/bindings/QtXml

#------------------------------------------------------------

%package -n    %{py3_name}-xmlpatterns
Summary:       Python 3 bindings for PyQt 5 xmlpatterns
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-xmlpatterns
Python 3 bindings for PyQt 5 xmlpatterns.

%files -n %{py3_name}-xmlpatterns
%{python3_sitearch}/PyQt5/QtXmlPatterns.abi3.so
%{python3_sitearch}/PyQt5/bindings/QtXmlPatterns

#------------------------------------------------------------

%package -n    %{py3_name}-x11extras
Summary:       Python 3 bindings for PyQt 5 x11extras
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-x11extras
Python 3 bindings for PyQt 5 x11extras.

%files -n %{py3_name}-x11extras
%{python3_sitearch}/PyQt5/QtX11Extras.abi3.so
%{python3_sitearch}/PyQt5/bindings/QtX11Extras

#------------------------------------------------------------

%package -n    %{py3_name}-designer
Summary:       Python 3 bindings for PyQt 5 designer
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-designer
Python 3 bindings for PyQt 5 designer.

%files -n %{py3_name}-designer
%{python3_sitearch}/PyQt5/QtDesigner.abi3.so
%{python3_sitearch}/PyQt5/bindings/QtDesigner

#------------------------------------------------------------

%package -n    %{py3_name}-devel
Summary:       Python 3 bindings for PyQt 5 devel
Group:         Development/KDE and Qt
Requires:      %{py3_name} = %{version}
Requires:      qttools5-designer

%description -n %{py3_name}-devel
Python 3 bindings for PyQt 5 devel utilities.

%files -n %{py3_name}-devel
%{_bindir}/pyuic5
%{_bindir}/pyrcc5
%{_bindir}/pylupdate5
%{_qt5_plugindir}/designer/*
%{python3_sitearch}/PyQt5/*.pyi
%{python3_sitearch}/PyQt5/pylupdate*
%{python3_sitearch}/PyQt5/pyrcc*
%{python3_sitearch}/PyQt5/py.typed

#------------------------------------------------------------

%package -n    %{py3_name}-doc
Summary:       Documentation for the PyQt 5 python 3 bindings
Group:         Documentation
BuildArch:     noarch

%description -n %{py3_name}-doc
Documentation for the PyQt 5 python 3 bindings.

%files -n %{py3_name}-doc
%doc %{_docdir}/%{py3_name}
%exclude %{_docdir}/%{py3_name}/examples

#------------------------------------------------------------

%package -n    %{py3_name}-examples
Summary:       Usage examples for the PyQt 5 python 3 bindings
Group:         Documentation
BuildArch:     noarch

%description -n %{py3_name}-examples
Usage examples for the PyQt 5 python 3 bindings.

%files -n %{py3_name}-examples
%doc %{_docdir}/%{py3_name}/examples

#------------------------------------------------------------

%package -n    %{py3_name}-qsci-api
Summary:       Python 3 PyQt 5 Qscintilla API
Group:         Development/KDE and Qt

%description -n %{py3_name}-qsci-api
Python 3 PyQt 5 Qscintilla API.

%files -n %{py3_name}-qsci-api
%dir %{_qt5_datadir}/qsci/
%dir %{_qt5_datadir}/qsci/api/
%dir %{_qt5_datadir}/qsci/api/python/
%{_qt5_datadir}/qsci/api/python/PyQt5.api

#------------------------------------------------------------

%prep
%setup -q -n %{sname}-%{version}
%autopatch -p1

%build
export PATH=%{_qt5_bindir}:$PATH

sip-build \
  --no-make \
  --qt-shared \
  --confirm-license \
  --api-dir=%{_qt5_datadir}/qsci/api/python \
  --verbose \
  --dbus=%{_includedir}/dbus-1.0/ \
  --pep484-pyi \
%if %{without qt5webkit}
  --disable QtWebKit \
  --disable QtWebKitWidgets \
%endif
  --qmake-setting 'QMAKE_CFLAGS_RELEASE="%{build_cflags}"' \
  --qmake-setting 'QMAKE_CXXFLAGS_RELEASE="%{build_cxxflags} `pkg-config --cflags dbus-python`"' \
  --qmake-setting 'QMAKE_LFLAGS_RELEASE="%{build_ldflags}"'

%make_build -C build

%install
%make_install INSTALL_ROOT=%{buildroot} -C build

# ensure .so modules are executable for proper -debuginfo extraction
for i in %{buildroot}%{python3_sitearch}/PyQt5/*.so %{buildroot}%{python3_sitearch}/dbus/mainloop/pyqt5.abi3.so ; do
chmod a+rx $i
done

mkdir -p %{buildroot}%{_docdir}/%{py3_name}/examples
    cp -fr examples/* %{buildroot}%{_docdir}/%{py3_name}/examples/

# Python shebang
%py3_shebang_fix %{buildroot}%{_docdir}/%{py3_name}/examples/*


%changelog
* Thu Dec 07 2023 wally <wally> 5.15.10-2.mga10
+ Revision: 2015234
- rebuild for py3.12

* Mon Nov 27 2023 wally <wally> 5.15.10-1.mga10
+ Revision: 2010317
- new version 5.15.10

* Thu Mar 23 2023 daviddavid <daviddavid> 5.15.7-3.mga9
+ Revision: 1950222
- disable QtWebkit5 support (mga#29326)

* Sun Feb 26 2023 daviddavid <daviddavid> 5.15.7-2.mga9
+ Revision: 1945562
- rebuild Qt5 (5.15.7)

* Tue Aug 30 2022 wally <wally> 5.15.7-1.mga9
+ Revision: 1882070
- new version 5.15.7
- drop wrapper scripts as python2 isn't really used anymore
- clean .spec

* Wed Apr 06 2022 umeabot <umeabot> 5.15.6-3.mga9
+ Revision: 1845880
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 tv <tv> 5.15.6-2.mga9
+ Revision: 1785046
- Drop BR on python3-sip-devel (sip4) as it broke build
- QtNetworkAuth is no more
- 5.15.6 (py3.10 fixes)
+ neoclust <neoclust>
- Build with sip6

* Sat Feb 12 2022 neoclust <neoclust> 5.15.2-4.mga9
+ Revision: 1773227
- Rebuild against python 3.10

* Mon Mar 15 2021 neoclust <neoclust> 5.15.2-3.mga9
+ Revision: 1703200
- Rebuild against python 3.9

* Tue Feb 09 2021 daviddavid <daviddavid> 5.15.2-2.mga8
+ Revision: 1675075
- add conflicts to ease upgrade mga7->mga8 (mga#28325)

* Sat Dec 05 2020 daviddavid <daviddavid> 5.15.2-1.mga8
+ Revision: 1652953
- New version 5.15.2

* Sun Sep 13 2020 daviddavid <daviddavid> 5.15.1-1.mga8
+ Revision: 1625518
- new version: 5.15.1
- enable QtTextToSpeech module

* Thu Jun 25 2020 daviddavid <daviddavid> 5.15.0-2.mga8
+ Revision: 1599178
- rebuild with sip 4.19.23

* Thu Jun 04 2020 daviddavid <daviddavid> 5.15.0-1.mga8
+ Revision: 1590353
- new version: 5.15.0
- add the new QtQuick3D module

* Mon Mar 02 2020 daviddavid <daviddavid> 5.14.1-4.mga8
+ Revision: 1553029
- disable qtenginio support (since Qt 5.14 upstream removed it)

* Thu Feb 20 2020 umeabot <umeabot> 5.14.1-3.mga8
+ Revision: 1545904
- Mageia 8 Mass Rebuild

* Wed Feb 12 2020 daviddavid <daviddavid> 5.14.1-2.mga8
+ Revision: 1497307
- rebuild against sip 4.19.21

* Thu Jan 30 2020 daviddavid <daviddavid> 5.14.1-1.mga8
+ Revision: 1485513
- new version: 5.14.1

* Sun Sep 15 2019 daviddavid <daviddavid> 5.13.1-1.mga8
+ Revision: 1441083
- new version: 5.13.1

* Fri Sep 06 2019 daviddavid <daviddavid> 5.13.0-4.mga8
+ Revision: 1437995
- enable PyQt 5 Qscintilla API for Python 3

* Fri Sep 06 2019 tv <tv> 5.13.0-3.mga8
+ Revision: 1437748
- fix filelist: add 2 plugins to core subpkg
- drop python2 subpkg
- rebuild for python 3.8

* Sat Jul 27 2019 daviddavid <daviddavid> 5.13.0-2.mga8
+ Revision: 1424479
- rebuild for new mkspecs macros

* Thu Jul 11 2019 daviddavid <daviddavid> 5.13.0-1.mga8
+ Revision: 1420071
- new version: 5.13.0

* Mon Apr 01 2019 umeabot <umeabot> 5.12.1-2.mga7
+ Revision: 1384097
- Qt5 Rebuild

* Fri Mar 22 2019 daviddavid <daviddavid> 5.12.1-1.mga7
+ Revision: 1379544
- new version: 5.12.1

* Mon Mar 04 2019 daviddavid <daviddavid> 5.12-4.mga7
+ Revision: 1371272
- revert commit 1367852, as of circle dependencies on python(2,3)-qt5-webengine*
  if a new mandatory arch

* Sun Feb 17 2019 daviddavid <daviddavid> 5.12-3.mga7
+ Revision: 1367852
- add back dependencies on python(2,3)-qt5-webengine*

* Thu Feb 14 2019 daviddavid <daviddavid> 5.12-2.mga7
+ Revision: 1367025
- python2-qt5-qsci-api can't be a noarch package (as of /usr/lib(64)/ dir)

* Thu Feb 14 2019 daviddavid <daviddavid> 5.12-1.mga7
+ Revision: 1366867
- new version: 5.12
- enable QtRemoteObjects module
- the QtWebEngine, QtWebEngineCore and QtWebEngineWidgets modules
  have been moved to a separate PyQtWebEngine package

* Mon Jan 07 2019 tv <tv> 5.11.3-2.mga7
+ Revision: 1350560
- rebuild with python 3.7

* Wed Jan 02 2019 daviddavid <daviddavid> 5.11.3-1.mga7
+ Revision: 1348535
- new version: 5.11.3

* Sun Sep 30 2018 umeabot <umeabot> 5.11.2-2.mga7
+ Revision: 1312567
- Mageia 7 Mass Rebuild

* Fri Jul 13 2018 daviddavid <daviddavid> 5.11.2-1.mga7
+ Revision: 1243341
- new version: 5.11.2
- switch to new python{2,3}-pyqt5-sip
- make check for PyQt5.sip module non-fatal

* Wed Apr 18 2018 daviddavid <daviddavid> 5.10.1-2.mga7
+ Revision: 1219955
- rename all python-module to python2-module

* Wed Apr 18 2018 daviddavid <daviddavid> 5.10.1-1.mga7
+ Revision: 1219853
- new version: 5.10.1
- enable QtNetworkAuth support

* Sat Oct 14 2017 joequant <joequant> 5.9-3.mga7
+ Revision: 1171720
- rebuild with new stack

* Tue Aug 08 2017 daviddavid <daviddavid> 5.9-2.mga7
+ Revision: 1138970
- add wrappers for pyrcc5, pylupdate5 from fedora

* Fri Aug 04 2017 philippem <philippem> 5.9-1.mga7
+ Revision: 1134975
- more fix file list
- fix file list (usr/share/sip/PyQt5/Qt)
- fix build by removing cp doc/html
+ neoclust <neoclust>
- New version 5.9
+ tv <tv>
- rebuild for new python

* Thu Oct 06 2016 daviddavid <daviddavid> 5.6-8.mga6
+ Revision: 1059151
- fix pyqt5.so dbus file path (mga#19544)

* Fri Sep 23 2016 daviddavid <daviddavid> 5.6-7.mga6
+ Revision: 1055615
- disable qtwebengine5 support only on armv5tl as long as it isn't available

* Mon Jul 04 2016 daviddavid <daviddavid> 5.6-6.mga6
+ Revision: 1038677
- rebuild for new qtenginio5 1.6.1

* Wed Jun 29 2016 akien <akien> 5.6-5.mga6
+ Revision: 1038083
- Split qsci API file in a separate noarch package
  o See https://ml.mageia.org/l/arc/dev/2016-06/msg00729.html

* Sat Jun 25 2016 akien <akien> 5.6-4.mga6
+ Revision: 1037683
- Rebuild in Core Release

* Sat Jun 25 2016 akien <akien> 5.6-3.mga6
+ Revision: 1037509
- Drop unwanted Obsoletes on the WebKit{,Widgets} modules
- Package the Python 3 typehint stubs in python3-qt5-devel

* Fri Jun 24 2016 akien <akien> 5.6-2.mga6
+ Revision: 1037467
- Readd WebKit{,Widgets} plugin needed by calibre
  o Still builds against Qt 5.5.1 for this one as deprecated upstream, hope it works

* Fri Jun 24 2016 akien <akien> 5.6-1.mga6
+ Revision: 1037442
- Fix wrong requires on python(2)-sip for python3 packages
- Enable some more modules
  o Enginio
  o QtQuickWidgets
  o QtSensors
- Version 5.6
  o Replace obsoleted WebKit modules by WebEngine ones
  o Python3 build now produces *.pyi stubs; disable them for now
- s/Trolltech/The Qt Company/

* Tue Feb 16 2016 umeabot <umeabot> 5.5.1-2.mga6
+ Revision: 962424
- Mageia 6 Mass Rebuild

* Fri Nov 06 2015 daviddavid <daviddavid> 5.5.1-1.mga6
+ Revision: 898056
- new version: 5.5.1

* Wed Oct 07 2015 daviddavid <daviddavid> 5.5-4.mga6
+ Revision: 886877
- rebuild for python 3.5

* Tue Sep 22 2015 daviddavid <daviddavid> 5.5-3.mga6
+ Revision: 882192
- reenable debug package with proper fix as it should
- fix wrong python release used in pyuic5 launch script (rhbz#1193107)
- split all python3-qt5 modules into subpackages like python-qt5
- fix owner of sip/PyQt5 dir and python3-sip/PyQt5 dir
- fix owner of %%{_qt5_prefix}/qsci dir
- introduce license macro
- use new python macros

* Wed Sep 09 2015 fwang <fwang> 5.5-2.mga6
+ Revision: 874641
- install sip files for python3

* Fri Aug 14 2015 fwang <fwang> 5.5-1.mga6
+ Revision: 864612
- update file list
- New version 5.5

* Wed Feb 04 2015 akien <akien> 5.4-1.mga5
+ Revision: 813461
- Add python-qt5-xml subpackage
- Version 5.4

* Wed Oct 15 2014 umeabot <umeabot> 5.3.2-2.mga5
+ Revision: 747829
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 lmenut <lmenut> 5.3.2-1.mga5
+ Revision: 734460
- update to 5.3.2

* Sat Sep 27 2014 tv <tv> 5.3.1-4.mga5
+ Revision: 729617
- rebuild for missing pythoneggs deps
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Sun Sep 07 2014 philippem <philippem> 5.3.1-2.mga5
+ Revision: 673349
- add Python3 (first attempt)

* Sun Jul 13 2014 fwang <fwang> 5.3.1-1.mga5
+ Revision: 651695
- 5.3.1

* Sat May 31 2014 pterjan <pterjan> 5.3-2.mga5
+ Revision: 628982
- Rebuild for new Python

* Thu May 29 2014 fwang <fwang> 5.3-1.mga5
+ Revision: 627413
- update file list
- add br
- 5.3
- bump req
- 5.3 snapshot
- 5.2.1

* Mon Feb 17 2014 fwang <fwang> 5.2-4.mga5
+ Revision: 593324
- add serialport module

* Mon Feb 17 2014 fwang <fwang> 5.2-3.mga5
+ Revision: 593277
- update file list
- add more support on new modules

* Tue Feb 04 2014 fwang <fwang> 5.2-2.mga5
+ Revision: 581789
- update file list
- br x11 extras

* Tue Feb 04 2014 fwang <fwang> 5.2-1.mga5
+ Revision: 581628
- new version 5.2

* Sun Nov 03 2013 fwang <fwang> 5.1.1-1.mga4
+ Revision: 549242
- update file list
- drop port_v3 from dist package
- disable stack-protector flag for now
- update file list
- try fixing complie order
- disable bytecompile
- do more modification
- new version 5.1.1
- new version 5.1
- undefine bytecompile
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild
+ neoclust <neoclust>
- Enable back bycompile

* Thu Aug 29 2013 fwang <fwang> 5.0.1-1.mga4
+ Revision: 472850
- update file list
- new version 5.0.1

* Tue Aug 20 2013 fwang <fwang> 5.0-7.mga4
+ Revision: 468248
- use pkconfig br

* Tue Jun 18 2013 fwang <fwang> 5.0-6.mga4
+ Revision: 444588
- add doc and examples

* Tue Jun 18 2013 fwang <fwang> 5.0-5.mga4
+ Revision: 444584
- add xml patterns module
- br xml patterns

* Tue Jun 18 2013 fwang <fwang> 5.0-4.mga4
+ Revision: 444577
- update requires

* Tue Jun 18 2013 fwang <fwang> 5.0-3.mga4
+ Revision: 444560
- more fixes

* Tue Jun 18 2013 fwang <fwang> 5.0-2.mga4
+ Revision: 444490
- fix linkage

* Tue Jun 18 2013 fwang <fwang> 5.0-1.mga4
+ Revision: 444472
- add more modules
- drop doc packages
- fix sed usage
- drop more modules
- update file list
- update file list
- modify libs
- correct br
- imported package python-qt5

